Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 317818 Details for
Bug 364481
update scsi-target-utils
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
Updated initscript for tgtd
init.tgtd (text/plain), 2.08 KB, created by
IBM Bug Proxy
on 2008-09-26 18:03:42 UTC
(
hide
)
Description:
Updated initscript for tgtd
Filename:
MIME Type:
Creator:
IBM Bug Proxy
Created:
2008-09-26 18:03:42 UTC
Size:
2.08 KB
patch
obsolete
>#!/bin/sh ># ># chkconfig: - 39 35 ># >### BEGIN INIT INFO ># Provides: tgtd ># Required-Start: $network ># Short-Description: Starts and stops the generic storage target daemon ># Description: tgtd provides the SCSI and software transport target state ># machine daemon. >### END INIT INFO ># ># ># pidfile: /var/run/tgtd.pid ># ># Source function library. >. /etc/init.d/functions > ># Check for and source configuration file otherwise set defaults >[ -f /etc/sysconfig/tgtd ] && . /etc/sysconfig/tgtd > >PATH=/sbin:/bin:/usr/sbin:/usr/bin > >RETVAL=0 > >[ -z "${TGTD_CONFIG}" ] && { > TGTD_CONFIG="/etc/tgt/targets.conf" >} > >[ -z "${TGTD_FCOE}" ] || { > TGTD_OPTIONS="$TGTD_OPTIONS $TGTD_FCOE" >} > > >start() >{ > echo -n $"Starting SCSI target daemon: " > if [ -f /var/lock/subsys/tgtd ]; then > success > echo > return > fi > > # check we have a config > [ ! -f "${TGTD_CONFIG}" ] && { > echo $"Configuration file ${TGTD_CONFIG} is missing" > failure > RETVAL=1 > return > } > > daemon tgtd $TGTD_OPTIONS > > # read the config > tgt-admin -e -c "${TGTD_CONFIG}" > RETVAL=$? > [ $RETVAL -ne 0 ] && { > tgtadm --op delete --mode system > failure > return > } > > echo > touch /var/lock/subsys/tgtd >} > >stop() >{ > echo -n $"Stopping SCSI target daemon: " > > if [ ! -f /var/lock/subsys/tgtd ]; then > success > echo > return > fi > > if tgtadm --op show -m target | grep "Target" >/dev/null ; then > echo $"Targets still in use. Cannot shutdown service." > failure > RETVAL=1 > return > fi > > # shut down tgtd > tgtadm --op delete --mode system > RETVAL=$? > [ $RETVAL -ne 0 ] && { > echo $"Failed to shutdown target" > failure > RETVAL=1 > return > } > > rm -f /var/lock/subsys/tgtd > success > echo >} > >forcedstop() >{ > # this will kick out any logged in initiators and drop all targets > tgt-admin --delete ALL --force > stop >} > >restart() >{ > stop > start >} > >case "$1" in > start) > start > ;; > stop) > stop > ;; > forcedstop) > forcedstop > ;; > restart) > restart > ;; > status) > status tgtd > RETVAL=$? > ;; > condrestart) > [ -f /var/lock/subsys/tgtd ] && restart > ;; > *) > echo $"Usage: $0 {start|stop|restart|status|condrestart|forcedstop}" > exit 1 >esac >exit $RETVAL
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 364481
: 317818 |
317819
|
317820